from django.contrib import admin

from popularity import models

class RankAdmin(admin.ModelAdmin):
    list_display = ('content_object', 'weekly', 'monthly', 'absolute')
    list_filter = ['content_type']
    ordering = ('weekly', 'absolute')
    
admin.site.register(models.Rank, RankAdmin)
