from django.conf import settings

# popularity cap
CAP = getattr(settings, "POPULARITY_CAP", 1000)
# score backend
BACKEND = getattr(settings, "POPULARITY_BACKEND", None)
# hit handler
HANDLER = getattr(settings, "POPULARITY_HANDLER", 'popularity.handlers.default')
# rankable models
RANKABLE_MODELS = getattr(settings, "POPULARITY_RANKABLE_MODELS", ())
# mongodb backend
MONGODB = getattr(settings, "POPULARITY_MONGODB", {
    "NAME": "", 
    "USERNAME": "",
    "PASSWORD": "",
    "PARAMETERS": {}, 
})
# queryset callback
QUERYSET_CALLBACK = getattr(settings, "POPULARITY_QUERYSET_CALLBACK", None)
